Index: /branches/playability/src/world_entities/projectiles/projectile_weapon.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/projectile_weapon.cc	(revision 10255)
+++ /branches/playability/src/world_entities/projectiles/projectile_weapon.cc	(revision 10256)
@@ -33,5 +33,5 @@
  *  standard constructor
 */
-ProjectileWeapon::ProjectileWeapon () : WorldEntity()
+ProjectileWeapon::ProjectileWeapon () : Projectile()
 {
   this->registerObject(this, ProjectileWeapon::_objectList);
@@ -57,12 +57,7 @@
 ProjectileWeapon::~ProjectileWeapon ()
 {
-  /*
-     do not delete the test projectModel, since it is pnode
-     and will be cleaned out by world
-  */
-  //delete this->projectile_weaponModel;
 }
 
-ProjectileWeapon::ProjectileWeapon (float pDamage, float eDamage, PNode* target) : WorldEntity()
+ProjectileWeapon::ProjectileWeapon (float pDamage, float eDamage, PNode* target) : Projectile()
 {
   this->registerObject(this, ProjectileWeapon::_objectList);
Index: /branches/playability/src/world_entities/projectiles/projectile_weapon.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/projectile_weapon.h	(revision 10255)
+++ /branches/playability/src/world_entities/projectiles/projectile_weapon.h	(revision 10256)
@@ -25,5 +25,5 @@
 
 
-class ProjectileWeapon : public WorldEntity
+class ProjectileWeapon : public Projectile
 {
   ObjectListDeclaration(ProjectileWeapon);
@@ -75,5 +75,5 @@
     inline void setRotationAxis ( Vector axis ) { this->rotationAxis = axis; };
     inline void setRotationSpeed ( float speed ) { this->rotationSpeed = speed; };
-    inline Vector getRotationAxis () { return this->rotationAxis; };
+    inline const Vector & getRotationAxis () const { return this->rotationAxis; };
     inline float getRotationSpeed () { return this->rotationSpeed; };     //!< Added for completeness
 
Index: /branches/playability/src/world_entities/projectiles/spike_ball.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike_ball.cc	(revision 10255)
+++ /branches/playability/src/world_entities/projectiles/spike_ball.cc	(revision 10256)
@@ -55,8 +55,9 @@
   this->emitter->setEmissionVelocity(50.0);
 
-  this->speed = 150;
-
+//   this->speed = 150;
+/*
   this->angle = 0;
-  this->rotationSpeed = 130;
+  this->rotationSpeed = 130;*/
+  this->setRotationSpeed(130);
 
   this->halo = new Billboard();
@@ -255,5 +256,5 @@
 //     printf("called by spikeball  ");
 //     this->weaponMan->fire();
-//     this->blow();
+    this->blow();
   }
 
@@ -289,5 +290,5 @@
   glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
 
-  glRotatef(angle, this->rotationVector.x, this->rotationVector.y, this->rotationVector.z);
+  glRotatef(angle, this->getRotationAxis().x, this->getRotationAxis().y, this->getRotationAxis().z);
   this->getAbsDir().matrix (matrix);
   glMultMatrixf((float*)matrix);
Index: /branches/playability/src/world_entities/projectiles/spike_ball.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10255)
+++ /branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10256)
@@ -51,9 +51,9 @@
     ParticleEmitter*                  emitter;
 
-    float                             speed;
+//     float                             speed;
 
-    float                             angle;
-    float                             rotationSpeed;
-    Vector                            rotationVector;
+//     float                             angle;
+//     float                             rotationSpeed;
+//     Vector                            rotationVector;
 
     Billboard*                        halo;
Index: /branches/playability/src/world_entities/weapons/spike_thrower.cc
===================================================================
--- /branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10255)
+++ /branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10256)
@@ -75,5 +75,5 @@
 {
   this->registerObject(this, SpikeThrower::_objectList);
-
+/*
   Animation3D* animation1 = this->getAnimation(WS_ACTIVATING, this);
   Animation3D* animation2 = this->getAnimation(WS_DEACTIVATING, this);
@@ -82,8 +82,8 @@
   animation1->addKeyFrame(Vector(0, 0, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
   animation2->addKeyFrame(Vector(0, 0, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
-  animation2->addKeyFrame(Vector(0, -.5, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);
-
+  animation2->addKeyFrame(Vector(0, -.5, 0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_CONSTANT);*/
+/*
   animation1->setInfinity(ANIM_INF_CONSTANT);
-  animation2->setInfinity(ANIM_INF_CONSTANT);
+  animation2->setInfinity(ANIM_INF_CONSTANT);*/
 
   this->setStateDuration(WS_SHOOTING, .6);
@@ -97,14 +97,14 @@
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_TURRET | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
-  this->setProjectileTypeC("Spike");
+  this->setProjectileTypeC("SpikeBall");
 
 //   this->loadModel("models/guns/turret1.obj", 1.0);
 
-  this->setEmissionPoint(1.684, 0.472, 0);
+  this->setEmissionPoint(2, 0, 0);
   this->getProjectileFactory()->prepare(50);
 
-  this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
-  this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
+//   this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");
+//   this->setActionSound(WA_ACTIVATE, "sound/vocals/missiles.wav");
+//   this->setActionSound(WA_RELOAD, "sound/vocals/reload.wav");
 
 }