Index: branches/gui/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10225)
+++ branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10265)
@@ -51,7 +51,4 @@
 #include "shell_command.h"
 
-
-
-
 ObjectListDefinition(QuestGUI);
 
@@ -61,6 +58,15 @@
 
 
+#include "script_class.h"
+CREATE_SCRIPTABLE_CLASS(QuestGUI,
+                        addMethod("guiInit", Executor0<QuestGUI, lua_State*>(&QuestGUI::guiInit))
+                       );
+
+
+
 QuestGUI::QuestGUI(const TiXmlElement* root)
 {
+  if (root != NULL)
+  {
   this->registerObject(this, QuestGUI::_objectList);
 
@@ -71,10 +77,12 @@
   this->bKillGui = false;
 
-  this->background = "maps/pogo_bunny.png";
+  this->background = "maps/rand2.png";
+  
+  this->backgroundBottom = "maps/rand-untent.png";
 
   this->myQuest = new Quest(root);
   if(root)
     this->loadParams( root);
-
+  }
 }
 
@@ -110,6 +118,6 @@
     questBox->setBorderTop(10);
     questBox->setBorderRight(10);
-    questBox->setBorderBottom(20);
     questBox->setBorderLeft(10);
+    questBox->setBorderBottom(10);
     this->questBox->setBackgroundTexture(background);
     this->bKillGui = false;
@@ -117,4 +125,5 @@
     OrxGui::GLGuiBox* headerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
+      headerBox->setBackgroundTexture(backgroundBottom);
       OrxGui::GLGuiImage* questImage = new OrxGui::GLGuiImage();
       questImage->setWidgetSize(100, 100);
@@ -124,5 +133,5 @@
 
       OrxGui::GLGuiBox* outlineBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
-      {
+      {      
         OrxGui::GLGuiMultiLineText* questDetails = new OrxGui::GLGuiMultiLineText();
         questDetails->setText(this->myQuest->getQuestDifficulty());
@@ -130,31 +139,34 @@
         outlineBox->setBorderTop(0);
         outlineBox->setBorderRight(0);
-        outlineBox->setBorderBottom(20);
         outlineBox->setBorderLeft(0);
+        outlineBox->setBorderBottom(10);
         outlineBox->pack(questDetails);
       }
       headerBox->setBorderTop(0);
       headerBox->setBorderRight(0);
-      headerBox->setBorderBottom(20);
       headerBox->setBorderLeft(0);
+      headerBox->setBorderBottom(10);
       headerBox->pack(outlineBox);
     }
 
-    OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
-    {
+    OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
+    {
+      labelBox->setWidgetSize(500,500);
+      labelBox->setBackgroundTexture(backgroundBottom);
       OrxGui::GLGuiMultiLineText* questTxt = new OrxGui::GLGuiMultiLineText();
       questTxt->setText(this->myQuest->getQuestDescription());
+      //questTxt->setLineWidth( 400);
+      labelBox->pack(questTxt);
       labelBox->setBorderTop(0);
       labelBox->setBorderRight(0);
-      labelBox->setBorderBottom(20);
-      labelBox->setBorderLeft(0);
-      labelBox->pack(questTxt);
-    }
-
-
-    OrxGui::GLGuiBox* rewardBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
+      labelBox->setBorderLeft(40);
+      labelBox->setBorderBottom(10);
+    }
+
+
+    OrxGui::GLGuiBox* rewardBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
       OrxGui::GLGuiImage* rewardImage = new OrxGui::GLGuiImage();
-      rewardImage->setWidgetSize(50, 50);
+      rewardImage->setWidgetSize(100, 100);
       rewardImage->loadImageFromFile(this->myQuest->getRewardPicture());
       rewardImage->show();
@@ -165,6 +177,6 @@
       rewardBox->setBorderTop(0);
       rewardBox->setBorderRight(0);
-      rewardBox->setBorderBottom(20);
       rewardBox->setBorderLeft(0);
+      rewardBox->setBorderBottom(10);
       rewardBox->pack(rewardTxt);
     }
@@ -176,5 +188,6 @@
         OrxGui::GLGuiButton* acceptButton = new OrxGui::GLGuiPushButton("Accept");
         acceptButton->released.connect(this, &QuestGUI::accept);
-        acceptBox->setBorderRight(70);
+        acceptBox->setBorderLeft(50);
+        acceptBox->setBorderRight(150);
         acceptBox->pack(acceptButton);
       }
@@ -187,4 +200,8 @@
         refuseBox->pack(refuseButton);
       }
+      answerBox->setBorderTop(0);
+      answerBox->setBorderRight(0);
+      answerBox->setBorderLeft(0);
+      answerBox->setBorderBottom(0);
       answerBox->pack(acceptBox);
       answerBox->pack(refuseBox);
Index: branches/gui/src/world_entities/questGUI/quest_gui.h
===================================================================
--- branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10225)
+++ branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10265)
@@ -16,5 +16,5 @@
   
   public:
-   QuestGUI (const TiXmlElement* root);
+   QuestGUI (const TiXmlElement* root = NULL);
    virtual ~QuestGUI ();
                      
@@ -29,4 +29,5 @@
     bool                    bKillGui;
     std::string             background;
+    std::string             backgroundBottom;
     
     OrxGui::GLGuiBox*       headerBox;
@@ -41,4 +42,5 @@
     OrxGui::GLGuiBox*       refuseBox;
 
+
     OrxSound::SoundSource*  selectorSource;
     
Index: branches/gui/src/world_entities/script_trigger.cc
===================================================================
--- branches/gui/src/world_entities/script_trigger.cc	(revision 10225)
+++ branches/gui/src/world_entities/script_trigger.cc	(revision 10265)
@@ -60,5 +60,5 @@
   scriptCalled = false;
   scriptIsOk = false;
-  triggerRemains = true;
+  triggerRemains = false;
   addToScript = false;
   this->activeOnCreation = false;
@@ -180,12 +180,13 @@
    }
 
-  if(triggerRemains && scriptCalled)
+ if(triggerRemains && scriptCalled)
   {
     executeAction(timestep);
     return;
   }
-
-  if( !invert && this->distance(target) < radius)
-  {
+ 
+ if( !invert && this->distance(target) < radius)
+  {
+    //printf("Distance is %f \n", this->distance(target));
     executeAction(timestep);
     scriptCalled = true;
@@ -193,5 +194,6 @@
 
   }
-  else if( invert && this->distance(target) > radius)
+  
+  if( invert && this->distance(target) > radius)
   {
     executeAction(timestep);
@@ -207,5 +209,5 @@
 void ScriptTrigger::executeAction(float timestep)
 {
-
+  printf("Script %s called \n",this->functionName.c_str());
   if(scriptIsOk)
   {