Index: /branches/gui/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- /branches/gui/src/lib/gui/gl/glgui_widget.cc	(revision 10272)
+++ /branches/gui/src/lib/gui/gl/glgui_widget.cc	(revision 10273)
@@ -112,5 +112,5 @@
 
 
-    this->setBackgroundColor(Color(0, 0, 0, 0.0));
+    this->setBackgroundColor(Color(0, 0, 0, 0));
     this->setBackgroundColor(Color(0, 0, 0, 0), OrxGui::Selected);
 
Index: /branches/gui/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10272)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10273)
@@ -55,5 +55,4 @@
 CREATE_FACTORY(QuestGUI);
 SHELL_COMMAND(gui, QuestGUI, guiInit);
-//SHELL_COMMAND(cancel, QuestGUI, guiDestruct);
 
 
@@ -76,8 +75,4 @@
 
   this->bKillGui = false;
-
-  this->background = "maps/rand2.png";
-  
-  this->backgroundBottom = "maps/rand-untent.png";
 
   this->myQuest = new Quest(root);
@@ -120,10 +115,10 @@
     questBox->setBorderLeft(10);
     questBox->setBorderBottom(10);
-    this->questBox->setBackgroundTexture(background);
+    this->questBox->setBackgroundTexture("maps/rand.png");
     this->bKillGui = false;
 
     OrxGui::GLGuiBox* headerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
-      headerBox->setBackgroundTexture(backgroundBottom);
+      headerBox->setBackgroundTexture("maps/rand-unten.png");
       OrxGui::GLGuiImage* questImage = new OrxGui::GLGuiImage();
       questImage->setWidgetSize(100, 100);
@@ -152,13 +147,19 @@
     OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
-      labelBox->setWidgetSize(500,500);
-      labelBox->setBackgroundTexture(backgroundBottom);
+      labelBox->setBackgroundTexture("maps/rand-unten.png");
       OrxGui::GLGuiMultiLineText* questTxt = new OrxGui::GLGuiMultiLineText();
       questTxt->setText(this->myQuest->getQuestDescription());
-      //questTxt->setLineWidth( 400);
       labelBox->pack(questTxt);
+      
+      OrxGui::GLGuiImage* placeImage = new OrxGui::GLGuiImage();
+      placeImage->setWidgetSize(85, 10);
+      placeImage->loadImageFromFile("maps/schwarz.png");
+      placeImage->show();
+      labelBox->pack(placeImage);
+      
+      
       labelBox->setBorderTop(0);
       labelBox->setBorderRight(0);
-      labelBox->setBorderLeft(40);
+      labelBox->setBorderLeft(55);
       labelBox->setBorderBottom(10);
     }
@@ -186,16 +187,30 @@
       OrxGui::GLGuiBox* acceptBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
       {
+        //acceptBox->setBackgroundTexture("maps/rand-oben.png");
         OrxGui::GLGuiButton* acceptButton = new OrxGui::GLGuiPushButton("Accept");
         acceptButton->released.connect(this, &QuestGUI::accept);
-        acceptBox->setBorderLeft(50);
-        acceptBox->setBorderRight(150);
+        acceptBox->setBorderTop(10);
+        acceptBox->setBorderRight(10);
+        acceptBox->setBorderLeft(10);
+        acceptBox->setBorderBottom(0);
         acceptBox->pack(acceptButton);
       }
-
+      answerBox->pack(acceptBox);
+      
+      OrxGui::GLGuiImage* placeImage = new OrxGui::GLGuiImage();
+      placeImage->setWidgetSize(300, 10);
+      placeImage->loadImageFromFile("maps/schwarz.png");
+      placeImage->show();
+      answerBox->pack(placeImage);
+      
       OrxGui::GLGuiBox* refuseBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
       {
+        //refuseBox->setBackgroundTexture("maps/rand-oben.png");
         OrxGui::GLGuiButton* refuseButton = new OrxGui::GLGuiPushButton("Refuse");
         refuseButton->released.connect(this, &QuestGUI::refuse);
-        refuseBox->setBorderLeft(0);
+        refuseBox->setBorderTop(10);
+        refuseBox->setBorderRight(10);
+        refuseBox->setBorderLeft(10);
+        refuseBox->setBorderBottom(0);
         refuseBox->pack(refuseButton);
       }
@@ -203,6 +218,5 @@
       answerBox->setBorderRight(0);
       answerBox->setBorderLeft(0);
-      answerBox->setBorderBottom(0);
-      answerBox->pack(acceptBox);
+      answerBox->setBorderBottom(20);
       answerBox->pack(refuseBox);
     }
Index: /branches/gui/src/world_entities/questGUI/quest_gui.h
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10272)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10273)
@@ -28,10 +28,9 @@
     Quest*                  myQuest;
     bool                    bKillGui;
-    std::string             background;
-    std::string             backgroundBottom;
     
     OrxGui::GLGuiBox*       headerBox;
     OrxGui::GLGuiBox*       outlineBox; 
     OrxGui::GLGuiBox*       labelBox;
+    OrxGui::GLGuiImage*     placeImage;
     OrxGui::GLGuiBox*       questBox;
     OrxGui::GLGuiImage*     questImage;
@@ -39,4 +38,5 @@
     OrxGui::GLGuiImage*     rewardImage;
     OrxGui::GLGuiBox*       answerBox;
+    OrxGui::GLGuiImage*     placeImage2;
     OrxGui::GLGuiBox*       acceptBox;
     OrxGui::GLGuiBox*       refuseBox;