Index: code/trunk/data/levels/iJohnVane_TriptoArea51.oxw
===================================================================
--- code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 10273)
+++ code/trunk/data/levels/iJohnVane_TriptoArea51.oxw	(revision 10274)
@@ -376,5 +376,5 @@
 
    <MovableEntity    
-      position = "<?lua print(math.random()* 600-300) ?>,<?lua print(math.random() * 40000 + 110000) ?>,<?lua print(math.random() * 600-300) ?>"
+      position = "<?lua print(math.random()* 600-300) ?>,<?lua print(math.random() * 40000 + 97000) ?>,<?lua print(math.random() * 600-300) ?>"
       scale = "<?lua print(j * 40)?>"
       velocity = "<?lua print(x*20-10)?>, <?lua print(y*60-160)?>, <?lua print(z*20-10)?>"
@@ -382,18 +382,17 @@
       collisiondamage = 0.05
       enablecollisiondamage = true 
-      active = true
+      active = false
    >                 
           <attached>           
-              <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" >
-                  <events>           
-                    <visibility>           
-                      <EventListener event="portal3" />           
-                    </visibility>           
-                  </events>
-              </Model>                          
+              <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
           </attached> 
          <collisionShapes>
              <SphereCollisionShape radius="<?lua print(j * 50) ?>" />
          </collisionShapes>   
+         <events>           
+           <activity>           
+             <EventListener event="portal3" />           
+           </activity>           
+         </events>
    </MovableEntity>
 
@@ -414,5 +413,5 @@
    ?>
    <MovableEntity    
-      position = "<?lua print(math.random()* 240-120) ?>,<?lua print(math.random() * 40000 + 110000) ?>,<?lua print(math.random()* 240-120) ?>"
+      position = "<?lua print(math.random()* 240-120) ?>,<?lua print(math.random() * 40000 + 97000) ?>,<?lua print(math.random()* 240-120) ?>"
       scale = "10"
       velocity = "0, -160, 0"
@@ -420,19 +419,17 @@
       collisiondamage = 0.05
       enablecollisiondamage = true 
-      active = true
-      visible = false
+      active = false
    >                     
           <attached>           
-              <Model mass="2000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" >
-                  <events>           
-                    <visibility>           
-                      <EventListener event="portal3" />           
-                    </visibility>           
-                  </events>
-              </Model>                    
+              <Model mass="2000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
           </attached> 
          <collisionShapes>
              <SphereCollisionShape radius="10" />
          </collisionShapes>   
+         <events>           
+           <activity>           
+             <EventListener event="portal3" />           
+           </activity>           
+         </events>
    </MovableEntity>
    <?lua
Index: code/trunk/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/WorldEntity.cc	(revision 10273)
+++ code/trunk/src/orxonox/worldentities/WorldEntity.cc	(revision 10274)
@@ -221,4 +221,11 @@
         if(GameMode::isMaster())
         {
+            // physics is only enabled if the WorldEntity is active
+            if (this->isActive())
+                this->activatePhysics();
+            else
+                this->deactivatePhysics();
+
+            // iterate over all children and change their activity as well
             for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); it++)
             {
@@ -246,4 +253,5 @@
         if(GameMode::isMaster())
         {
+            // iterate over all children and change their visibility as well
             for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); it++)
             {